petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecConjugate

Conjugates a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecConjugate(Vec x)

Logically Collective on Vec

### Input Parameters

x -the vector

### Level

intermediate

### Location

src/vec/vec/interface/vector.c

### Implementations

VecConjugate_Nest in src/vec/vec/impls/nest/vecnest.c
VecConjugate_Node in src/vec/vec/impls/node/vecnode.c
VecConjugate_Seq in src/vec/vec/impls/seq/bvec2.c
VecConjugate_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages